Cross-site Request Forgery (CSRF)

Affecting ezsystems/ezplatform package, versions >=2.5.0, <2.5.4

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

ezsystems/ezplatform is a fully open source professional CMS (Content Management System) developed by eZ Systems and the eZ Community.

Affected versions of this package are vulnerable to Cross-site Request Forgery (CSRF). The log in form within Ez platform has a Cross-Site Request Forgery (CSRF) token, but this CSRF functionality is not enabled by default, making the token is inactive.

Remediation

Upgrade ezsystems/ezplatform to version 2.5.4 or higher.

References

CVSS Score

3.1
low severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C
Credit
Unknown
CWE
CWE-352
Snyk ID
SNYK-PHP-EZSYSTEMSEZPLATFORM-546869
Disclosed
06 Feb, 2020
Published
06 Feb, 2020